﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Linq.Expressions;
using System.Collections.ObjectModel;
using System.Diagnostics;
using Infragistics.Windows.Editors;
using Infragistics.Windows;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window, INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged = delegate { };

        private ObservableCollection<Sample> _myData;
        public ObservableCollection<Sample> MyData
        {
            get
            {
                return _myData;
            }
            set
            {
                if (value != _myData)
                {
                    _myData = value;
                    PropertyChanged(this, new PropertyChangedEventArgs("MyData"));
                }
            }
        }
        

        public MainWindow()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainWindow_Loaded);
        }



        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            MyData = new ObservableCollection<Sample>();
            MyData.Add(new Sample { Name = "AAA" });
            MyData.Add(new Sample { Name = "BBB" });
            MyData.Add(new Sample { Name = "CCC" });
            MyData.Add(new Sample { Name = "DDD" });
        }

        void editor_Loaded(object sender, RoutedEventArgs e)
        {
            ValueEditorCheckBox check = Utilities.GetDescendantFromType(sender as DependencyObject, typeof(ValueEditorCheckBox), false) as ValueEditorCheckBox;
            check.Checked += new RoutedEventHandler(CheckBox_Checked);
        }

        private void CheckBox_Checked(object sender, RoutedEventArgs e)
        {
            if (MessageBoxResult.No == MessageBox.Show("Click Yes if you are sure and No to cancel", "Are you sure?", MessageBoxButton.YesNo))
            {
                (sender as CheckBox).IsChecked = false;
            }

        }
    }
}